[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TCustomConnection.DataSetCount

Number of datasets connected to this connection

## Declaration

Source position: db.pas line 2033

`public property TCustomConnection.DataSetCount : LongInt read GetDataSetCount;`

## Description

DatasetCount is the number of datasets connected to this connection component. The actual datasets are available through the Datasets array property. As implemented in TCustomConnection, this property is always zero. Descendent classes implement the actual count.

## See also

TDataset |  | Base class for records-based data-access
TCustomConnection.Datasets |  | Datasets linked to this connection